Creates a reusable call action template that can be applied to multiple organization units.
Request Structure
Available Trigger Types
email_alert — Send email notificationstag_call — Apply tags to callswebhook — Trigger HTTP webhookcallback — Flag for callbacksms_alert — Send SMS (requires sms_action_trigger)attach_scorecard — Attach scorecard to callSMS Trigger Configuration
When using sms_alert, include sms_action_trigger:
sms_action_target_type: "phone_number", "caller", "assigned_agent", or "agent"sms_action_target_agent: Array of user IDs (for "agent" type)sms_action_target_number: Phone number (for "phone_number" type)outbound_sms: SMS message textopt_out_sms: Opt-out message textRule Conditions
actionName: Data field to evaluateactionCondition: Operator (is, is not, contains, >, <, etc.)actionValue: Value to comparejointype: NONE (first rule), AND, ORactionRuleIndicatorName: Display nameunitValue: Unit (seconds, minutes, etc.)Roles required:
AdminorStandard
curl --location 'https://platform-api.convirza.com/v3/call-action/template' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"org_unit_id": 70035,
"template": {
"template_name": "Repeat Call Tag Alert",
"editor": "DG Test1",
"last_modified": "",
"visible_for_subgroups": true,
"applied_to": [
74195,
74194
],
"active": true
},
"triggerArray": [
{
"triggerName": "tag_call",
"triggerValues": [
"931"
],
"sms_action_trigger": {
"sms_action_target_type": "",
"sms_action_target_agent": [],
"sms_action_target_number": "",
"outbound_sms": "",
"opt_out_sms": "",
"sms_template": ""
}
}
],
"actionsArray": [
{
"jointype": "NONE",
"actionName": "repeat_call",
"actionCondition": "is",
"actionValue": true,
"unitValue": "",
"actionRuleIndicatorName": null
}
]
}'{
"code": 201,
"message": "Success",
"data": {
"template_id": 123
},
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"timestamp": "2026-04-21T10:30:00.000Z"
}